<?php
// This file was auto-generated from sdk-root/src/data/s3outposts/2017-07-25/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon S3 on Outposts provides access to S3 on Outposts operations.</p>', 'operations' => [ 'CreateEndpoint' => '<p>Creates an endpoint and associates it with the specified Outpost.</p> <note> <p>It can take up to 5 minutes for this action to finish.</p> </note> <p/> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html">DeleteEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_ListEndpoints.html">ListEndpoints</a> </p> </li> </ul>', 'DeleteEndpoint' => '<p>Deletes an endpoint.</p> <note> <p>It can take up to 5 minutes for this action to finish.</p> </note> <p/> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html">CreateEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_ListEndpoints.html">ListEndpoints</a> </p> </li> </ul>', 'ListEndpoints' => '<p>Lists endpoints associated with the specified Outpost. </p> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html">CreateEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html">DeleteEndpoint</a> </p> </li> </ul>', 'ListSharedEndpoints' => '<p>Lists all endpoints associated with an Outpost that has been shared by Amazon Web Services Resource Access Manager (RAM).</p> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html">CreateEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html">DeleteEndpoint</a> </p> </li> </ul>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>Access was denied for this action.</p>', 'refs' => [], ], 'CidrBlock' => [ 'base' => NULL, 'refs' => [ 'Endpoint$CidrBlock' => '<p>The VPC CIDR committed by this endpoint.</p>', ], ], 'ConflictException' => [ 'base' => '<p>There was a conflict with this action, and it could not be completed.</p>', 'refs' => [], ], 'CreateEndpointRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateEndpointResult' => [ 'base' => NULL, 'refs' => [], ], 'CreationTime' => [ 'base' => NULL, 'refs' => [ 'Endpoint$CreationTime' => '<p>The time the endpoint was created.</p>', ], ], 'CustomerOwnedIpv4Pool' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$CustomerOwnedIpv4Pool' => '<p>The ID of the customer-owned IPv4 address pool (CoIP pool) for the endpoint. IP addresses are allocated from this pool for the endpoint.</p>', 'Endpoint$CustomerOwnedIpv4Pool' => '<p>The ID of the customer-owned IPv4 address pool used for the endpoint.</p>', ], ], 'DeleteEndpointRequest' => [ 'base' => NULL, 'refs' => [], ], 'Endpoint' => [ 'base' => '<p>Amazon S3 on Outposts Access Points simplify managing data access at scale for shared datasets in S3 on Outposts. S3 on Outposts uses endpoints to connect to Outposts buckets so that you can perform actions within your virtual private cloud (VPC). For more information, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/WorkingWithS3Outposts.html"> Accessing S3 on Outposts using VPC-only access points</a> in the <i>Amazon Simple Storage Service User Guide</i>.</p>', 'refs' => [ 'Endpoints$member' => NULL, ], ], 'EndpointAccessType' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$AccessType' => '<p>The type of access for the network connectivity for the Amazon S3 on Outposts endpoint. To use the Amazon Web Services VPC, choose <code>Private</code>. To use the endpoint with an on-premises network, choose <code>CustomerOwnedIp</code>. If you choose <code>CustomerOwnedIp</code>, you must also provide the customer-owned IP address pool (CoIP pool).</p> <note> <p> <code>Private</code> is the default access type value.</p> </note>', 'Endpoint$AccessType' => '<p>The type of connectivity used to access the Amazon S3 on Outposts endpoint.</p>', ], ], 'EndpointArn' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointResult$EndpointArn' => '<p>The Amazon Resource Name (ARN) of the endpoint.</p>', 'Endpoint$EndpointArn' => '<p>The Amazon Resource Name (ARN) of the endpoint.</p>', ], ], 'EndpointId' => [ 'base' => NULL, 'refs' => [ 'DeleteEndpointRequest$EndpointId' => '<p>The ID of the endpoint.</p>', ], ], 'EndpointStatus' => [ 'base' => NULL, 'refs' => [ 'Endpoint$Status' => '<p>The status of the endpoint.</p>', ], ], 'Endpoints' => [ 'base' => NULL, 'refs' => [ 'ListEndpointsResult$Endpoints' => '<p>The list of endpoints associated with the specified Outpost.</p>', 'ListSharedEndpointsResult$Endpoints' => '<p>The list of endpoints associated with the specified Outpost that have been shared by Amazon Web Services Resource Access Manager (RAM).</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'ConflictException$Message' => NULL, 'InternalServerException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ValidationException$Message' => NULL, ], ], 'InternalServerException' => [ 'base' => '<p>There was an exception with the internal server.</p>', 'refs' => [], ], 'ListEndpointsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEndpointsResult' => [ 'base' => NULL, 'refs' => [], ], 'ListSharedEndpointsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListSharedEndpointsResult' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListEndpointsRequest$MaxResults' => '<p>The maximum number of endpoints that will be returned in the response.</p>', 'ListSharedEndpointsRequest$MaxResults' => '<p>The maximum number of endpoints that will be returned in the response.</p>', ], ], 'NetworkInterface' => [ 'base' => '<p>The container for the network interface.</p>', 'refs' => [ 'NetworkInterfaces$member' => NULL, ], ], 'NetworkInterfaceId' => [ 'base' => NULL, 'refs' => [ 'NetworkInterface$NetworkInterfaceId' => '<p>The ID for the network interface.</p>', ], ], 'NetworkInterfaces' => [ 'base' => NULL, 'refs' => [ 'Endpoint$NetworkInterfaces' => '<p>The network interface of the endpoint.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListEndpointsRequest$NextToken' => '<p>If a previous response from this operation included a <code>NextToken</code> value, provide that value here to retrieve the next page of results.</p>', 'ListEndpointsResult$NextToken' => '<p>If the number of endpoints associated with the specified Outpost exceeds <code>MaxResults</code>, you can include this value in subsequent calls to this operation to retrieve more results.</p>', 'ListSharedEndpointsRequest$NextToken' => '<p>If a previous response from this operation included a <code>NextToken</code> value, you can provide that value here to retrieve the next page of results.</p>', 'ListSharedEndpointsResult$NextToken' => '<p>If the number of endpoints associated with the specified Outpost exceeds <code>MaxResults</code>, you can include this value in subsequent calls to this operation to retrieve more results.</p>', ], ], 'OutpostId' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$OutpostId' => '<p>The ID of the Outposts. </p>', 'DeleteEndpointRequest$OutpostId' => '<p>The ID of the Outposts. </p>', 'Endpoint$OutpostsId' => '<p>The ID of the Outposts.</p>', 'ListSharedEndpointsRequest$OutpostId' => '<p>The ID of the Amazon Web Services Outpost.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The requested resource was not found.</p>', 'refs' => [], ], 'SecurityGroupId' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$SecurityGroupId' => '<p>The ID of the security group to use with the endpoint.</p>', 'Endpoint$SecurityGroupId' => '<p>The ID of the security group used for the endpoint.</p>', ], ], 'SubnetId' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$SubnetId' => '<p>The ID of the subnet in the selected VPC. The endpoint subnet must belong to the Outpost that has Amazon S3 on Outposts provisioned.</p>', 'Endpoint$SubnetId' => '<p>The ID of the subnet used for the endpoint.</p>', ], ], 'ValidationException' => [ 'base' => '<p>There was an exception validating this data.</p>', 'refs' => [], ], 'VpcId' => [ 'base' => NULL, 'refs' => [ 'Endpoint$VpcId' => '<p>The ID of the VPC used for the endpoint.</p>', ], ], ],];
